You are not logged in.

#1 2016-01-19 09:59:04

chalist
Member
Registered: 2014-02-23
Posts: 6

adb error libncurses.so.5 [Resolved]

hi all.

I did download android-sdk from android.com and when I use ./adb I get this error:

./platform-tools/adb: error while loading shared libraries: libncurses.so.5: cannot open shared object file: No such file or directory


ls /usr/lib/ | grep libncurses result:

$ ls /usr/lib/ | grep libncurses
libncurses++.so
libncurses++.so.5
libncurses++w.a
libncurses++w.so
libncurses++w.so.5
libncurses++w.so.5.9
libncurses++w.so.6
libncurses++w.so.6.0
libncurses.so
libncurses.so.5
libncursesw.a
libncursesw.so
libncursesw.so.5
libncursesw.so.5.9
libncursesw.so.6
libncursesw.so.6.0

How I can fix this?

UPDATE:

<Namarrgon> in archlinux IRC helped me. After installing lib32-ncurses5-compat-libs adb works fine.

Last edited by chalist (2016-01-19 13:26:52)

Offline

#2 2016-01-19 11:21:57

x33a
Forum Moderator
Registered: 2009-08-15
Posts: 3,548
Website

Re: adb error libncurses.so.5 [Resolved]

Maybe it's looking in the wrong location. Have you tried the android-sdk package from the AUR?

Offline

#3 2016-01-19 12:16:25

chalist
Member
Registered: 2014-02-23
Posts: 6

Re: adb error libncurses.so.5 [Resolved]

I update question dude

Offline

#4 2016-01-19 13:03:39

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 5,946
Website

Re: adb error libncurses.so.5 [Resolved]

If your original problem has been fixed, please mark this topic as solved and open a new topic with your new problem, thanks.

https://wiki.archlinux.org/index.php/Fo … ow_to_post


Sakura:-
Mobo: ASUS P8Z77-V PRO // Processor: Intel Core i7-3770K 3.4GHz // GFX: nVidia GeForce GTX 970 Ti // RAM: 32GB (4x 8GB) Corsair DDR3 (@ 2133MHz) // Storage: 1x 3TB Seagate SATAII 5x 1TB Samsung SATAII, 2x 120GB Corsair SSD

Making lemonade from lemons since 2015.

Online

#5 2016-01-19 13:52:20

anatolik
Developer
Registered: 2012-09-27
Posts: 387

Re: adb error libncurses.so.5 [Resolved]

FYI: Package 'android-tool' from community repo already provides 'adb' and 'fastboot' tools that do not require any additional dependencies from AUR.

Offline

Board footer

Powered by FluxBB